package es.uv.dagarcos.master.dto;

import java.time.Instant;

public class MasterEventDto {

    private Instant timestamp;
    private String shardId;
    private String playerId;
    private String action;
    private int pointsDelta;

    public MasterEventDto(
            Instant timestamp,
            String shardId,
            String playerId,
            String action,
            int pointsDelta) {

        this.timestamp = timestamp;
        this.shardId = shardId;
        this.playerId = playerId;
        this.action = action;
        this.pointsDelta = pointsDelta;
    }

    public Instant getTimestamp() {
        return timestamp;
    }

    public String getShardId() {
        return shardId;
    }

    public String getPlayerId() {
        return playerId;
    }

    public String getAction() {
        return action;
    }

    public int getPointsDelta() {
        return pointsDelta;
    }
}
